Bug 806857 - [abrt] kernel: BUG: unable to handle kernel paging request at 000000000008001c
[abrt] kernel: BUG: unable to handle kernel paging request at 000000000008001c
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:13d93893ac1a2d8513b095db1c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 07:14 EDT by chedi toueiti
Modified: 2012-09-18 11:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 11:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chedi toueiti 2012-03-26 07:14:53 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-4.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 KEYTABLE=fr-latin1 LANG=en_US.UTF-8 nomodeset
kernel:         3.3.0-4.fc16.x86_64
reason:         BUG: unable to handle kernel paging request at 000000000008001c
time:           Mon 26 Mar 2012 01:14:01 PM CET

backtrace:
:BUG: unable to handle kernel paging request at 000000000008001c
:IP: [<ffffffff81120831>] find_get_page+0x51/0xd0
:PGD 89245067 PUD 8868a067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 2 
:Modules linked in: binfmt_misc tcp_lp ppdev parport_pc lp parport fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uinput snd_timer serio_raw r8169 mii snd iTCO_wdt soundcore snd_page_alloc iTCO_vendor_support i2c_i801 cdc_acm dcdbas sunrpc microcode usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 9149, comm: prelink Not tainted 3.3.0-4.fc16.x86_64 #1 Dell Inc. OptiPlex 390/0M5DCD
:RIP: 0010:[<ffffffff81120831>]  [<ffffffff81120831>] find_get_page+0x51/0xd0
:RSP: 0018:ffff880094257cb8  EFLAGS: 00010246
:RAX: 0000000000000000 RBX: ffff88001408c348 RCX: ffff880077eaedf0
:RDX: 0000000000000001 RSI: 000000000000052f RDI: 0000000000080000
:RBP: ffff880094257cd8 R08: 0000000000080000 R09: ffff880077eaedf0
:R10: 57ffe7c1f28f8380 R11: 0000000000000000 R12: 000000000000052f
:R13: ffff880094257fd8 R14: ffff880095158000 R15: 00000000000002b6
:FS:  00000000012168c0(0063) GS:ffff88012ec40000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 000000000008001c CR3: 0000000089b2c000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process prelink (pid: 9149, threadinfo ffff880094256000, task ffff88008863dcc0)
:Stack:
: ffff88001408c340 ffffea0001081800 ffff88001408c340 000000000000052f
: ffff880094257de8 ffffffff81122438 ffff880094257d18 0000000000001000
: ffff880094257ed8 ffff880094257e58 000000000000052f 000000000000052e
:Call Trace:
: [<ffffffff81122438>] generic_file_aio_read+0x268/0x780
: [<ffffffff81180f22>] do_sync_read+0xd2/0x110
: [<ffffffff81269923>] ? security_file_permission+0x93/0xb0
: [<ffffffff81181391>] ? rw_verify_area+0x61/0xf0
: [<ffffffff81181870>] vfs_read+0xb0/0x180
: [<ffffffff81181b02>] sys_pread64+0xa2/0xb0
: [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b
:Code: 89 df e8 f3 57 1a 00 48 85 c0 48 89 c1 74 5b 48 8b 38 48 85 ff 74 3c 40 f6 c7 03 75 6e 49 63 85 44 e0 ff ff a9 00 ff ff 07 75 5b <8b> 57 1c 85 d2 74 ca 8d 72 01 4c 8d 47 1c 89 d0 f0 0f b1 77 1c 
:RIP  [<ffffffff81120831>] find_get_page+0x51/0xd0
: RSP <ffff880094257cb8>
:CR2: 000000000008001c

smolt_data:
:
:
:General
:=================================
:UUID: b8abfef2-fce5-460c-a09f-173c2b84091a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6185.87
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3101
:System Memory: 3851
:System Swap: 3839
:Vendor: Dell Inc.
:System: OptiPlex 390 01
:Form factor: Mini Tower
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4136:1269) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:258:4136:1269) pci, None, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7168:4136:1269) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
:(32902:7184:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7260:4136:1269) pci, None, PCI/ISA, H61 Express Chipset Family LPC Controller
:(32902:7192:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1269) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4136:1269) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1269) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7176:4136:1269) pci, ata_piix, STORAGE, 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
:(32902:7213:4136:1269) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1269) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:4136:1269) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1269) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 11799192 11143832 3276800 3123832 3123832
:/dev/sda2 /boot ext4 1024 1024 508745 458745 433145 128016 127796 127796
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 107754689 105507135 100113523 26968064 26910950 26910950
:
Comment 1 Dave Jones 2012-03-26 12:04:02 EDT
000000000008001c looks like a random bit got flipped (the 8)

Had this machine been hibernated ? We know there are some memory corruption problems there.

If not, try a run of memtest86.

Note You need to log in before you can comment on or make changes to this bug.